'use strict';
var yeoman = require('yeoman-generator');
var chalk = require('chalk');
var yosay = require('yosay');
var slugify = require('underscore.string/slugify');

module.exports = yeoman.generators.Base.extend({
  initializing: function () {
    this.pkg = require('../package.json');
  },

  prompting: function () {
    var done = this.async();

    this.log(yosay(
      'Welcome to the cool ' + chalk.red('ReactGruntBrowserify') + ' generator!'
    ));

    var prompts = [{
      name: 'projectName',
      message: 'Your project\'s name?',
      default: this.appname
    }];

    this.prompt(prompts, function(answers) {
      this.projectName = slugify(answers.projectName);
      done();
    }.bind(this));
  },

  writing: {
    app: function () {
      this.template('_package.json', 'package.json');

      this.template('_bower.json', 'bower.json');

      this.template('_Gruntfile.js', 'Gruntfile.js');
      this.template('_index.html', 'index.html');

      this.fs.copy(
        this.templatePath('src/main.js'),
        this.destinationPath('src/main.js')
      );

      this.fs.copy(
        this.templatePath('src/components/app.js'),
        this.destinationPath('src/components/app.js')
      );
    },

    projectfiles: function () {
      // this.fs.copy(
      //   this.templatePath('editorconfig'),
      //   this.destinationPath('.editorconfig')
      // );
      // this.fs.copy(
      //   this.templatePath('jshintrc'),
      //   this.destinationPath('.jshintrc')
      // );
    }
  },

  install: function () {
    this.installDependencies();
  }
});
